Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.interfacce
Interface RichiestaPrenotazioneVolo

All Known Implementing Classes:
  PRequestVoloManager

    public interface RichiestaPrenotazioneVolo

L'interfaccia è implementata dalla classe {code PRequestPacchettoManager} le cui istanze permettono di mostrare un elenco dei voli , verifica se esiste il volo e fa la prenotazione

Method Summary
`boolean` | `doPrenotation(Volo v, java.lang.String c, java.lang.String n, java.lang.String t, Carta carta)` Crea un nuova prenotazione per il volo `v`
`Volo` | `isAvaible(java.lang.String partenza, java.lang.String arrivo, java.lang.String orario)` Controlla se esiste il volo
`Cliente` | `requestInformation(java.lang.String c, java.lang.String n, java.lang.String t, Carta carta)` Ricerca nell' archivio il cliente se non lo trova lo aggiunge
`java.lang.String[]` | `showList()` Mostra elenco dei Voli

Method Detail

### showList

    java.lang.String[] showList()

  Mostra elenco dei Voli

  Returns:
    String[] elenco dei voli

### isAvaible

    Volo isAvaible(java.lang.String partenza,
                   java.lang.String arrivo,
                   java.lang.String orario)

  Controlla se esiste il volo

  Parameters:
    `partenza` - luogo di partenza
    `arrivo` - luogo di arrivo
    `orario` - orario di partenza
  Returns:
    il volo se esiste altrimenti null

### requestInformation

    Cliente requestInformation(java.lang.String c,
                               java.lang.String n,
                               java.lang.String t,
                               Carta carta)

  Ricerca nell' archivio il cliente se non lo trova lo aggiunge

  Parameters:
    `c` - cognome
    `n` - nome
    `t` - telefono
    `carta` - carta di credito
  Returns:
    Cliente
  Throws:
    `java.lang.IllegalArgumentException` - se la carta non e' valida

### doPrenotation

    boolean doPrenotation(Volo v,
                          java.lang.String c,
                          java.lang.String n,
                          java.lang.String t,
                          Carta carta)

  Crea un nuova prenotazione per il volo `v`

  Parameters:
    `v` - volo da prenotare
    `c` - cognome cliente
    `n` - nome cliente
    `t` - telefono cliente
    `carta` - carta di credito cliente
  Returns:
    true se ha effettuato la prenotazione

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD